×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Mar 2005
    Posts
    2

    Unhappy Compilation of a series 60 using the VC++ IDE is failing.

    Hi,

    I am trying to compile a program for series 60 devices using the VC++ IDE.
    It gives the following error:

    Deleting intermediate files and output files for project 'a - Win32 Uni Debug'.
    --------------------Configuration: a - Win32 Uni Debug--------------------
    Building resources from a.rss
    perl -S epocrc.pl -I "\SYMBIAN\7.0S\SERIES60_V20\EXAMPLES\A" -I "\SYMBIAN\7.0S\SERIES60_V20\EXAMPLES\A" -I- -I "\Symbian\7.0s\Series60_v20\EPOC32\INCLUDE" -DLANGUAGE_SC -u "\SYMBIAN\7.0S\SERIES60_V20\EXAMPLES\A\a

    .rss" -o"\Symbian\7.0s\Series60_v20\EPOC32\RELEASE\WINS\UDEB\Z\SYSTEM\APPS\A\A.rSC" -h"\SYMBIAN\7.0S\SERIES60_V20\EXAMPLES\A\A.rs~" -t"\Symbian\7.0s\Series60_v20\EPOC32\BUILD\SYMBIAN\7.0S\SERIES60_V20\EXAMPLES\A\A\WINS\UDEB"

    Perl 5.00503 required--this is only version 5.00307, stopped at C:\Symbian\7.0s\Series60_v20\epoc32\tools\epocrc.pl line 18.

    BEGIN failed--compilation aborted at C:\Symbian\7.0s\Series60_v20\epoc32\tools\epocrc.pl line 21.
    NMAKE : fatal error U1077: 'perl' : return code '0x2'
    Stop.
    Error executing c:\winnt\system32\cmd.exe.

    A.APP - 1 error(s), 0 warning(s)

    I have installed activeperl 5.6.1 and then activeperl 5.8.6.811( the latest version available). But it still doesnt work. What may be the problem?

    Another problem is when I try to create a series 60 project using the Series 60 V2.0 Appwizard in VC++, it fails to generate the DSW file. I re-installed but the problem persists. Do you have any solution for this?

    Thanks and regards,
    Ajay

  2. #2
    Nokia Developer Expert
    Join Date
    Apr 2003
    Location
    Finland
    Posts
    425
    Hi,

    Check your PATH settings is updated according the latest installation of perl. e.g:

    PATH <...>; C:\Perl\bin\; <...>

    In the command propt type 'path' to solve out the real path setting on your machine.

    Br V

  3. #3
    Registered User
    Join Date
    Mar 2005
    Posts
    2
    Hi Veskola,
    Thank you for the prompt response. The path is already set to Perl's bin and lib directories. Inspite of that, its not working.

    Thanks and regards,
    Ajay

  4. #4
    Registered User
    Join Date
    Mar 2003
    Posts
    12
    Try perl -v on a command prompt to see what it would tell?

    If it is high enough version, then its pretty weird if the build script finds out the older one.

    Else You have the older perl version around in PATH presedence. In which case Search for perl.exe's and temporarily rename older versions to see if it would help.

    I had a similar problem, it was cygwin perl (and tools) messing up the build. PATH reorganization did work.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×